Bug 1464148 - agetty: Login screen sometimes accepts a character for a login name that cannot be deleted later on
agetty: Login screen sometimes accepts a character for a login name that cann...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 10:08 EDT by Jan Pokorný
Modified: 2017-08-03 04:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 04:19:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2017-06-22 10:08:04 EDT
Note: this may actually be another symptom of [bug 1005632] and there
is some subtle internal intertwining.

Sometimes it happens that when behavior as in mentioned [bug 1005632]
is reproduced, I'll type (or may have already typed by then?) a character
for the login name, and then when I press a backspace for several seconds
to ensure that any characters (also displayed per expectations) are removed
for sure to start from scratch, sometimes that character is like unremovable
(also per visual feedback) causing the login to fail even if I am pretty
sure everything should (logically) be entered correctly (subsequent
retyping upon login failure works).

Unfortunately, I cannot find what exact user name was attempted for
that failed login, journal only indicates:

> FAILED LOGIN 1 FROM tty1 FOR (unknown), User not known to the underlying authentication module

I am really unsure if this should be a separate bug or it is just
a sub-issue of [bug 1005632].
Comment 1 Karel Zak 2017-06-22 20:17:17 EDT
This is very probably related to https://github.com/karelzak/util-linux/issues/454
Comment 3 Jan Pokorný 2017-07-13 10:43:35 EDT
Just after-the-fact addendum:
The character stuck forever is indeed actively used for the purpose of
logging in, recently attested that.
Comment 4 Karel Zak 2017-08-03 04:19:01 EDT
This should be fixed by release v2.30.1 (f26 and rawhide).

Note You need to log in before you can comment on or make changes to this bug.